Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
billing
/
spending
/
history
Get User Spending History
curl --request GET \
  --url https://api.tensormesh.ai/v1/billing/spending/history \
  --header 'Authorization: Bearer <token>'
{
  "buckets": [
    {
      "bucketStart": "2023-11-07T05:31:56Z",
      "amount": {
        "currencyCode": "<string>",
        "units": "<string>",
        "nanos": 123
      },
      "costSaving": {
        "currencyCode": "<string>",
        "units": "<string>",
        "nanos": 123
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Query Parameters

userId
string

The unique ID of the user.

Response

A successful response.

GetUserSpendingHistoryResponse is the response listing spending history buckets.

buckets
object[]

Spending buckets.